function plot_groups(markers,groups, range)
% plot_groups(markers,groups)
%
% Given a matrix of markers partitioning of markers into groups,
% display them so it's easy to see if the partitioning is reasonable

% Author: David Ross, Nov. 2006
% $Id: plot_groups.m,v 1.8 2007-05-23 21:24:24 dross Exp $

error(nargchk(2,3,nargin));

%----------------------------------------------------------
% PARAMETERS
%----------------------------------------------------------

ROTATE = true;
FIXED_AXIS = false;
NO_TICKS = true;

%----------------------------------------------------------
% Do it.
%----------------------------------------------------------
THREE_DIMENSIONS = (size(markers,3) == 3);
NUM_GROUPS = max(groups(:));
F = size(markers,1);
limits = get_limits(markers);
if ~exist('range', 'var'),
    range = 1:size(markers,1);
end
markers = permute(markers, [3 2 1]);
clf; set(gcf, 'DoubleBuffer', 'on','MenuBar','none'); %whitebg(gcf,'w');
%vv = [-37.5, 30];

for ff = range
    for ii = 1:NUM_GROUPS
        sq_subplot(NUM_GROUPS, ii); cla;
        ind = (groups ~= ii);
        if THREE_DIMENSIONS
            plot3(markers(1,ind,ff),markers(2,ind,ff),markers(3,ind,ff),'k.');
        else
            plot(markers(1,ind,ff),markers(2,ind,ff),'k.');
        end
        hold on;
        ind = (groups == ii);
        if THREE_DIMENSIONS
            plot3(markers(1,ind,ff), markers(2,ind,ff), ...
                markers(3,ind,ff), markers2(ii));
        else
            plot(markers(1,ind,ff), markers(2,ind,ff), markers2(ii));
        end            
        hold off;
        if FIXED_AXIS, 
            axis(limits); 
        else
            axis equal; 
        end
        if NO_TICKS
            set(gca,'xticklabel','','yticklabel','','zticklabel',''); 
        end
        if THREE_DIMENSIONS && ROTATE, camorbit(1*(ff-1),0); end
    end

    % point = get(gcf,'CurrentPoint');
    % if any(point)
    %     fig_size = get(gcf,'Position');
    %     vv = [point(1)/fig_size(3), point(2)/fig_size(4)] *360;
    % end
    drawnow;
end
